<template>

  <el-dialog
    :title="title"
    :visible.sync="dialogVisible"
    width="80%"
    :before-close="handleClose">
    <el-form ref="editForm" :model="editForm"  label-width="120px" size="mini">
      <el-form-item label="所属燃气公司" prop="a">
        <el-input></el-input>
      </el-form-item>
      <el-form-item label="姓名" prop="d">
        <el-input></el-input>
      </el-form-item>
      <el-form-item label="电话" prop="e">
        <el-input></el-input>
      </el-form-item>
      <el-form-item label="备注信息" prop="l">
        <el-input type="textarea"></el-input>
      </el-form-item>
    </el-form>
    <span slot="footer" class="dialog-footer">
      <el-button @click="dialogVisible = false">取 消</el-button>
      <el-button type="primary" @click="dialogVisible = false">确 定</el-button>
    </span>
  </el-dialog>
</template>

<script>
  export default {
    props: {
      title: { type: String }
    },
    data () {
      return {
       // isShow: false,
        editForm : {},
        dialogVisible : false
      }
    },
    methods: {
      show () {
        this.dialogVisible = true;
      },
      hide () {
        this.remove()
      },
      handleClose(done) {
        this.$confirm('确认关闭？')
          .then(_ => {
            this.remove();
            //done();
          })
          .catch(_ => {});
      }
    }
  }
</script>


